Subject: Re: bug#47274: Linphone Packages

From: Raghav Gururajan <[email-masked]>
Date: Mon, 29 Mar 2021 02:05:14 -0400

Hi Maxim!

> I think I've managed to fix the issue, with the following:
> 
> --8<---------------cut here---------------start------------->8---
>   (let* ((out (assoc-ref outputs "out"))
>                      (liblinphone (assoc-ref inputs "liblinphone"))
>                      (grammar-dest (string-append out
>                      "/share/belr/grammars")))
>                 [...]
>                 (mkdir-p (dirname grammar-dest))
>                 (symlink (string-append liblinphone "/share/belr/grammars")
>                          grammar-dest)
> --8<---------------cut here---------------end--------------->8---
> 
> At least it launches now, and everything seems to work.

Thanks a lot. Btw, did you try restarting the app multiple-times? 
Different error (missing /share/stuff) popped-up, each time.

I also wonder why wrapping XDG_DATA_DIRS doesn't work, as it will give 
access to {all-inputs}/share/stuff.

Regards,
RG.